// feed.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const FeedSchema = new Schema({
  url: { type: String, required: true, unique: true },
  title: { type: String },
  link: { type: String },
  description: { type: String },
  language: { type: String },
  generator: { type: String },
  published: { type: Date },
});

module.exports = mongoose.model('Feed', FeedSchema);